using System;
using System.Collections.Generic;

using skydiveLogs_api.Business.Interfaces;
using skydiveLogs_api.DomainService.Repositories;
using skydiveLogs_api.Domain;


namespace skydiveLogs_api.Business
{
    public class JumpTypeService : IJumpTypeService
    {
        public JumpTypeService(IJumpTypeRepository jumpTypeRepository)
        {
            _jumpTypeRepository = jumpTypeRepository;
        }

        public void AddNewJumpType(JumpType newJumpType)
        {
            _jumpTypeRepository.Add(newJumpType);
        }

        public void DeleteJumpTypeById(int id)
        {
            throw new NotImplementedException();
        }

        public IEnumerable<JumpType> GetAllJumpTypes()
        {
            return _jumpTypeRepository.GetAll();
        }

        public JumpType GetJumpTypeById(int id)
        {
            return _jumpTypeRepository.GetById(id);
        }

        public void UpdateJumpType(int id, JumpType value)
        {
            throw new NotImplementedException();
        }

        private readonly IJumpTypeRepository _jumpTypeRepository;
    }
}
